package com.yidianling.im.session.action;

import com.yidianling.uikit.custom.bridge.ActionHandlerStorage;
import com.yidianling.im.R;
import com.yidianling.nimbase.business.session.actions.BaseAction;

import org.json.JSONObject;

/**
 * Created by Wi1ls on 2016/9/27;
 */
public class HelpAction extends BaseAction {
    /**
     * 构造函数
     */
    public HelpAction() {
        super(R.drawable.im_chatbar_colormore_help, R.string.im_input_panel_help);
    }

    @Override
    public void onClick() {
        try {
            JSONObject jsb = new JSONObject();
            jsb.put("button_name", "帮助");
            ActionHandlerStorage.getL(getAccount()).buryPoint("messageClick", jsb);
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (ActionHandlerStorage.getL(getAccount()) != null)
            ActionHandlerStorage.getL(getAccount()).help();
    }
}
